Set Case Status to Querying

Sets a support case to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying status.

post

The support case ID is provided in the route. The Payload must contain only the Mpt.Helpdesk.Models.Cases.SupportCase.QueryPrompt property.

Path parameters
idstringRequired

The support case ID.

Body
idstringOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
queryPromptstring · nullableOptional

The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying

awaitingbooleanOptional

Can be set by users of the account that manages the case

Responses
chevron-right
200

OK

application/json
idstringOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
queryPromptstring · nullableOptional

The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying

awaitingbooleanOptional

Can be set by users of the account that manages the case

post
/public/v1/helpdesk/cases/{id}/query

Last updated

Was this helpful?